import { Service } from '../../../di/src/decorator/Service.ts'

const service = Service()

/**
 * Class decorator that designates a class as a lifecycle unit. Also applies the service decorator.
 * @constructor
 */
const Unit = (): ClassDecorator => {
    return (target) => {
        return service(target)
    }
}

export { Unit }
